/*=============== GOOGLE FONTS ===============*/
@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

*, 
*::before, 
*::after {
  font-family: 'Poppins', sans-serif;
}

/*=============== VARIABLES CSS ===============*/
:root {
  font-size: 10px;
  --header-height: 3rem;
  /*========== Colors ==========*/
  --first-color: #fdcb35;
  --first-color-light: #feebb3;
  --first-color-lighten: #fde59b;
  --first-color-dark: #fac114;
  --title-color: #282725;
  --text-color: #5d5b56;
  --text-color-light: #a9a7a2;
  --body-color: #ffffff;
  --container-color: #fff;
  --scroll-bar-color: #dadad7;
  --scroll-thumb-color: #282725;
  /*========== Font and typography ==========*/
  --biggest-font-size: 3.5rem;
  --h2-font-size: 2.8rem;
  --h3-font-size: 2rem;
  --normal-font-size: 1.8rem;
  --small-font-size: 1.6rem;
  --smaller-font-size: 1.3rem;
  /*========== Font weight ==========*/
  --font-normal: 500;
  --font-semi-bold: 600;
  --font-bold: 700;
  /*========== z index ==========*/
  --z-tooltip: 10;
  --z-fixed: 100;
}

@media screen and (min-width: 900px) {
  :root {
    --biggest-font-size: 4rem;
    --h2-font-size: 3rem;
    --h3-font-size: 2.3rem;
    --normal-font-size: 2rem;
    --small-font-size: 1.8rem;
    --smaller-font-size: 1.6rem;
  }
}

/*========== Buttons ==========*/
.g-btn {
  color: var(--title-color);
  font-size: var(--small-font-size);
  font-weight: var(--font-normal);
  text-transform: capitalize;
  border: none;
  background-color: var(--first-color);
  border-radius: 3rem;
  padding: 0.6em 1.6em;
  transition: box-shadow 0.1s, transform 0.1s;
  cursor: pointer;
  max-width: fit-content;
}

.g-btn:hover, 
.g-btn:active {
  transform: translateY(-0.3rem);
  box-shadow: 0px 20px 30px 5px rgb(250 193 20 / 0.5);
}

/*=============== REUSABLE CSS CLASSES ===============*/
/* Container */
.sec-container {
  max-width: 90%;
  margin: 0 auto;
  padding-block: 2rem 4rem;
  overflow: hidden;
}

/* Titles */
.sec-title {
  color: var(--title-color);
  font-size: var(--h2-font-size);
  text-align: center;
}

/* Descriptions */
.sec-des {
  color: var(--text-color);
  font-size: var(--small-font-size);
  text-align: center;
}

/* Logo */
.logo {
  font-size: var(--h3-font-size);
  display: flex;
  gap: 0.5rem;
  align-items: center;
}

.logo img {
  width: 4rem;
  aspect-ratio: 1/1;
}

/*=============== LAYOUT ===============*/
.sec-content {
  display: flex;
  flex-direction: column;
  gap: 2rem;
  align-items: center;
}

.sec-layout {
  display: flex;
  gap: 4rem;
}

/*=============== HEADER ===============*/
header {
  background-color: var(--body-color);
  position: fixed;
  width: 100%;
  z-index: var(--z-fixed);
}

/* Add Header Box-Shadow */
.head-shadow {
  box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
}

.header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 2rem 1.5rem;
}

.nav-btn {
  display: none;
}

/*=============== NAV ===============*/
nav {
  position: fixed;
  top: 15%;
  left: 50%;
  transform: translate(-50%, -150%);
  width: 85%;
  background-color: var(--container-color);
  border-radius: 3rem;
  box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
  padding: 5rem;
  transition: transform 0.2s, opacity 0.2s;
  opacity: 10%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 2.5rem;
}

/* Nav open */
.nav-active {
  transform: translate(-50%, 0%);
  opacity: 100%;
}

.nav-anchor {
  position: relative;
  font-size: var(--small-font-size);
  text-decoration: none;
  color: var(--title-color);
  font-weight: var(--font-normal);
  transition: color 0.1s;
}

.nav-anchor:hover {
  color: var(--first-color);
}

/* Active link */
.anchor-active {
  color: var(--first-color-dark);
}

.anchor-active::after {
  content: "";
  position: absolute;
  bottom: -1rem;
  left: 50%;
  transform: translateX(-50%);
  background-color: var(--first-color-dark);
  width: 0.8rem;
  height:0.8rem;
  border-radius: 50%;
}

.hamburger {
  background-color: transparent;
  border: none;
  color: var(--body-color);
  font-size: 2rem;
}

.hamburger img {
  width: 3rem;
  height: 3rem;
}

/*=============== HOME ===============*/
#home {
  padding-top: 10rem;
}

.home {
  flex-direction: column-reverse;
}

.home-title {
  font-size: var(--biggest-font-size);
  text-align: center;
  color: var(--title-color);
}

.home-description {
  text-align: center;
  font-size: var(--normal-font-size);
}

/*=============== ABOUT ===============*/
.about {
  flex-direction: column-reverse;
}

/*=============== SECURITY ===============*/
.security {
  flex-direction: column;
}
/*=============== SERVICES ===============*/
.service-title {
  margin-bottom: 3rem;
}

.service-items {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;
  gap: 2rem;
}

.service-cards {
  width: min(25rem, 90%);
  box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
  padding: 2rem;
  border-radius: 1.5rem;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 1.5rem;
}

.card-title {
  text-align: center;
  font-size: var(--normal-font-size);
  font-weight: var(--font-normal);
}

.service-cards img {
  max-width: 80%;
  margin-block: 1rem;
}

.service-description {
  color: var(--text-color);
  font-size: var(--smaller-font-size);
  text-align: center;
}

.service-btn {
  font-size: var(--normal-font-size);
  font-weight: var(--font-normal);
  color: var(--first-color-dark);
  border: none;
  background-color: transparent;
}

/*=============== APP ===============*/
.app {
  flex-direction: column-reverse;
}

.app-buttons {
  display: flex;
  flex-direction: column;
  gap: 1rem;
  align-items: center;
}

.app-btn {
  max-width: fit-content;
  display: flex;
  gap: 0.5rem;
  align-items: center;
  white-space: nowrap;
}

/*=============== CONTACT ===============*/
.contact {
  display: flex;
  flex-direction: column;
  gap: 3rem;
}

.contact-info {
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
  margin-bottom: 1rem;
}

.contact-items {
  font-size: var(--small-font-size);
}

/*=============== FOOTER ===============*/
footer {
  position: relative;
  background-color: var(--first-color-lighten);
  padding-bottom: 6rem;
}

.footer-logo {
  max-width: fit-content;
  margin: 0 auto;
  margin-bottom: 1rem;
}

.footer-description {
  margin-bottom: 1rem;
}

.footer-links {
  display: flex;
  flex-wrap: wrap;
  gap: 2rem;
  justify-content: space-between;
}

.footer-items {
  display: flex;
  flex-direction: column;
  gap: 0.3rem;
}

.footer-headings {
  font-size: var(--small-font-size);
  color: var(--title-color);
  margin-bottom: 0.5rem;
}

.footer-items a {
  color: var(--text-color);
  font-size: var(--smaller-font-size);
  transition: color 0.2s;
}

.footer-items a:hover {
  text-decoration: underline;
  color: var(--first-color);
}

.footer-social {
  display: flex;
  gap: 0.5rem;
  margin-top: 1rem;
}

.footer-social a {
  transition: transform 0.1s;
}

.footer-social a:hover {
  transform: scale(1.1);
}

.footer-line {
  position: absolute;
  bottom: 14%;
  left: 50%;
  transform: translateX(-50%);
  display: block;
  width: 90%;
  height: 0.009rem;
  background-color: var(--title-color);
}

.footer-copyright {
  position: absolute;
  bottom: 7%;
  left: 50%;
  transform: translateX(-50%);
  font-size: var(--smaller-font-size);
  white-space: nowrap;
}

/*=============== SCROLL UP ===============*/
.scroll-up {
  position: fixed;
  bottom: 10vh;
  right: 10vw;
  display: block;
  background-color: var(--first-color);
  max-width: fit-content;
  padding: 0.7rem;
  border-radius: 0.5rem;
  box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
  transition: transform 0.1s;
  display: none;
}

.scroll-up:hover, 
.scroll-up:active {
  transform: translateY(-0.5rem);
  box-shadow: 0px 10px 30px 5px rgb(250 193 20 / 0.8);
}

.scroll-up img {
  width: 4rem;
  aspect-ratio: 1/1;
}

/* Show Scroll Up*/
.scroll-up-show {
  display: block;
}


/*=============== SCROLL BAR ===============*/

body::-webkit-scrollbar {
  width: 1.5rem;
}

body::-webkit-scrollbar-track {
  background-color: var(--scroll-bar-color);
}

body::-webkit-scrollbar-thumb {
  background-color: var(--scroll-thumb-color);
  border: 4px solid var(--scroll-bar-color);
  border-radius: 8px;
}

.header, 
.home, 
.contact {
  overflow: visible;
}

/*=============== MEDIA QUERIES ===============*/

/* For small devices */
@media screen and (min-width: 400px) {
  .sec-container {
    max-width: 80%;
    padding-block: 4rem 6rem;
  }
  .header {
    padding: 2rem 1.5rem;
  }
  /*=====App=====*/
.app-buttons {
    flex-direction: row;
    justify-content: space-around;
  }
  /*====Footer====*/
  .footer-line {bottom: 18%;}
  .footer-copyright {bottom: 7%;}
}

@media screen and (min-width: 500px) {
  /*====Contact====*/
  .contact-btn {height: 100%;}
  .contact-list {
    display: flex;
    align-items: center;
    justify-content: space-between;
  }
}

/* For medium devices */
@media screen and (min-width: 750px) {
  /*==== REUSABLE CSS CLASSES ====*/
  .sec-container {padding-block: 6rem 8rem;}
  .sec-img {width: 45%;}
  .sec-title,
  .sec-des {text-align: start;}
  .service-title, 
  .footer-description, 
  .contact-title, 
  .contact-description {text-align: center;}
  .sec-layout {
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
  }
  .sec-content {
    width: 45%;
    align-items: self-start;
    justify-content: center;
  }
  /* ==== Home ====*/
  .header {padding: 2rem 1.5rem;}
  .home-title, 
  .home-description {
    text-align: start;
  }
  /* ==== Navbar ==== */
  .hamburger {
    display: none;
  }
  nav {
    position: static;
    inset: auto;
    transform: translate(0%, 0%);
    width: auto;
    box-shadow: none;
    padding: 0;
    opacity: 100%;
    flex-direction: row;
    gap: 2rem;
  }
  .contact-list {justify-content: space-around;}
}
/* For large devices */
@media screen and (min-width: 1000px) {
  /* ====header==== */
  .nav-btn {
    display: block;
  }
}

@media screen and (min-width: 1200px) {
  .sec-container {
    max-width: 1050px;
  }
}
